# TODO: system [lib]tinyxml2 when released (http://www.grinninglizard.com/tinyxml2/index.html)
#
# Conditional build:
%bcond_without	curl	# cURL support
%bcond_without	mms	# MMS support
#
%define	libzen_ver 0.4.29

Summary:	Supplies technical and tag information about a video or audio file
Summary(pl.UTF-8):	Informacje techniczne i znaczniki dla plików wideo i dźwiękowych
Name:		libmediainfo
Version:	0.7.67
Release:	2
License:	LGPL v2+
Group:		Libraries
Source0:	http://downloads.sourceforge.net/mediainfo/%{name}_%{version}.tar.bz2
# Source0-md5:	c6372a176f45a9971740b46c652f65eb
Patch0:		%{name}-build.patch
URL:		http://mediainfo.sourceforge.net/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake >= 1:1.11
%{?with_curl:BuildRequires:	curl-devel}
BuildRequires:	doxygen
%{?with_mms:BuildRequires:	libmms-devel}
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:1.5
BuildRequires:	libzen-devel >= %{libzen_ver}
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.566
BuildRequires:	sed >= 4.0
BuildRequires:	zlib-devel
Requires:	libzen >= %{libzen_ver}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
MediaInfo supplies technical and tag information about a video or
audio file.

What information can I get from MediaInfo?
- General: title, author, director, album, track number, date,
  duration...
- Video: codec, aspect, fps, bitrate...
- Audio: codec, sample rate, channels, language, bitrate...
- Text: language of subtitle
- Chapters: number of chapters, list of chapters

Supported files: DivX, XviD, H263, H.263, H264, x264, ASP, AVC,
iTunes, MPEG-1, MPEG1, MPEG-2, MPEG2, MPEG-4, MPEG4, MP4, M4A, M4V,
QuickTime, RealVideo, RealAudio, RA, RM, MSMPEG4v1, MSMPEG4v2,
MSMPEG4v3, VOB, DVD, WMA, VMW, ASF, 3GP, 3GPP, 3GP2

Supported formats/containers:
- Video: MKV, OGM, AVI, DivX, WMV, QuickTime, Real, MPEG-1, MPEG-2,
  MPEG-4, DVD (VOB) (Codecs: DivX, XviD, MSMPEG4, ASP, H.264, AVC...)
- Audio: OGG, MP3, WAV, RA, AC3, DTS, AAC, M4A, AU, AIFF
- Subtitles: SRT, SSA, ASS, SAMI

This package contains the shared library for MediaInfo.

%description -l pl.UTF-8
MediaInfo udostępnia informacje techniczne oraz znaczniki dla plików
wideo i dźwiękowych.

Dostępne są informacje:
- ogólne: tytuł, autor, reżyser, album, numer ścieżki, data, czas
  trwania...
- wideo: kodek, proporcje, liczba klatek na sekundę, pasmo...
- dźwięk: kodek, częstotliwość próbkowania, liczba kanałów, język,
  pasmo...
- tekst: język napisów
- książki: liczba rozdziałów, ich lista

Obsługiwane pliki: DivX, XviD, H263, H.263, H264, x264, ASP, AVC,
iTunes, MPEG-1, MPEG1, MPEG-2, MPEG2, MPEG-4, MPEG4, MP4, M4A, M4V,
QuickTime, RealVideo, RealAudio, RA, RM, MSMPEG4v1, MSMPEG4v2,
MSMPEG4v3, VOB, DVD, WMA, VMW, ASF, 3GP, 3GPP, 3GP2

Obsługiwane formaty/kontenery:
- wideo: MKV, OGM, AVI, DivX, WMV, QuickTime, Real, MPEG-1, MPEG-2,
  MPEG-4, DVD (VOB) (kodeki: DivX, XviD, MSMPEG4, ASP, H.264, AVC...)
- dźwięk: OGG, MP3, WAV, RA, AC3, DTS, AAC, M4A, AU, AIFF
- napisy: SRT, SSA, ASS, SAMI

Ten pakiet zawiera bibliotekę współdzieloną MediaInfo.

%package devel
Summary:	Header files for MediaInfo library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki MediaInfo
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
%{?with_curl:Requires:	curl-devel}
%{?with_mms:Requires:	libmms-devel}
Requires:	libzen-devel >= %{libzen_ver}
Requires:	zlib-devel

%description devel
Header files for MediaInfo library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki MediaInfo.

%package static
Summary:	Static MediaInfo library
Summary(pl.UTF-8):	Statyczna biblioteka MediaInfo
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static MediaInfo library.

%description static -l pl.UTF-8
Statyczna biblioteka MediaInfo.

%prep
%setup -q -n MediaInfoLib
%patch0 -p1
cp Release/ReadMe_DLL_Linux.txt ReadMe.txt
mv History_DLL.txt History.txt
%undos *.txt *.html Source/Doc/*.html
chmod 644 *.txt *.html Source/Doc/*.html

%build
cd Project/GNU/Library
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--enable-shared \
	%{?with_curl:--with-libcurl} \
	%{?with_mms:--with-libmms}

%{__make} clean
%{__make}
cd ../../../Source/Doc
doxygen Doxyfile

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C Project/GNU/Library install \
	DESTDIR=$RPM_BUILD_ROOT

# MediaInfoDLL headers and MediaInfo-config
for i in MediaInfo MediaInfoDLL; do
	install -d $RPM_BUILD_ROOT%{_includedir}/$i
	install -m 644 Source/$i/*.h $RPM_BUILD_ROOT%{_includedir}/$i
done

install -d $RPM_BUILD_ROOT%{_pkgconfigdir}
install Project/GNU/Library/libmediainfo.pc $RPM_BUILD_ROOT%{_pkgconfigdir}
# fix empty Version tag
%{__sed} -i -e 's|Version: .*|Version: %{version}|g' $RPM_BUILD_ROOT%{_pkgconfigdir}/libmediainfo.pc

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc History.txt License.html ReadMe.txt
%attr(755,root,root) %{_libdir}/libmediainfo.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libmediainfo.so.0

%files devel
%defattr(644,root,root,755)
# Documentation.html expects Doc/index.html
%doc Changes.txt Source/Doc/Documentation.html Doc Source/Example/HowToUse*
%attr(755,root,root) %{_libdir}/libmediainfo.so
%{_libdir}/libmediainfo.la
%{_includedir}/MediaInfo
%{_includedir}/MediaInfoDLL
%{_pkgconfigdir}/libmediainfo.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libmediainfo.a
%changelog
* Fri Mar 20 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libmediainfo.git;a=log;h=master

* Fri Mar 20 2015 Elan Ruusamäe <glen@delfi.ee> cfd3210
- x32 rebuild
- release 2 (by relup.sh)

* Sat Mar 15 2014 Jakub Bogusz <qboosh@pld-linux.org> 605b9ba
- keep original libmediainfo.pc in build tree to allow post-build check

* Sat Mar 08 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 1f6e2b8
- up to 0.7.67

* Sat Nov 03 2012 Jakub Bogusz <qboosh@pld-linux.org> 937e23c
- rpm macros version for undos

* Sat Nov 03 2012 Jakub Bogusz <qboosh@pld-linux.org> 644019c
- cleanups, pl
- optional curl and mms support

* Thu Oct 25 2012 Karol Krenski <charles@pld-linux.org> f472f8c
- up to 0.7.61

* Sun Oct 21 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> cc50e20
- up to 0.7.60

* Mon Jul 18 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 40b6ac5
- rel 2

* Mon Jul 18 2011 Karol Krenski <charles@pld-linux.org> 4a29627
- updated last commit message (typo)

* Mon Jul 18 2011 Karol Krenski <charles@pld-linux.org> 7f8a957
- libzen_ver up to >= 0.4.20

* Sat Jul 16 2011 Karol Krenski <charles@pld-linux.org> 59857f4
- updated to 0.7.47

* Thu Apr 28 2011 Karol Krenski <charles@pld-linux.org> cfe7791
- -devel req. latest libzen-devel

* Thu Apr 28 2011 Karol Krenski <charles@pld-linux.org> 0e59035
- outdated

* Thu Apr 28 2011 Karol Krenski <charles@pld-linux.org> 0dbbf17
- updated to 0.7.44
- BR libzen-devel >= 0.7.44
- rm outdated -tinyxml.patch (with BR)

* Sun Feb 13 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 191438a
- rel 3; undos patched files; replace dos2unix with undos

* Sun Feb 13 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> d40f267
- rel 2; fix build

* Sat Feb 12 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 5ed51bf
- up to 0.7.39

* Thu Sep 30 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> fcb97ad
- up to 0.7.35

* Sat Mar 27 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> addaccb
- up to 0.7.30

* Wed Mar 10 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 9eef246
- up to 0.7.29

